import Layout from '@/components/layout'

export default [
  { path: '*', redirect: '/' },
  {
    path: '/',
    component: Layout,
    children: [
      { path: '', redirect: '/explain' },
      /* 首页 */
      // { path: '/index', component: () => import(/* webpackChunkName: "feedback" */ '@/pages/home') },
      /* 修改密码 */
      {
        path: '/account/password',
        component: () => import(/* webpackChunkName: "account" */ '@/pages/account/password')
      },
      /* 用户群分析 */
      {
        path: '/groupAnalysis',
        component: () => import(/* webpackChunkName: "groupAnalysis" */ '@/pages/groupAnalysis/index.vue')
      },
      /* 用户触达 */
      {
        path: '/userTrigger',
        component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/userTrigger/index.vue')
      },
      // /* 背景选择 */
      // {
      //   path: '/caseSelection',
      //   component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/caseSelection/index.vue')
      // },
      /* 背景选择 */
      {
        path: '/productAnalysis',
        component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/productAnalysis/index.vue')
      },
      /* 得分 */
      {
        path: '/score',
        component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/score/index.vue')
      },
      /* 说明 */
      {
        path: '/explain',
        component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/home/explain.vue')
      },
      /* 实操基地 */
      {
        path: '/index',
        component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/home/index.vue')
      },
      /* 实操基地 */
      {
        path: '/practice',
        component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/practice/index.vue')
      },
      /* 结果页面 */
      {
        path: '/result',
        component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/result/index.vue')
      }
    ]
  }
]
